mwFileTransferHandler Struct Reference

`#include <mw_srvc_ft.h>`

## Data Fields

void(* | clear )(struct mwServiceFileTransfer *srvc)
| optional.
void(* | ft_ack )(struct mwFileTransfer *ft)
| received an ack for a sent chunk on an outbound file transfer.
void(* | ft_closed )(struct mwFileTransfer *ft, guint32 code)
| a file transfer has been closed.
void(* | ft_offered )(struct mwFileTransfer *ft)
| an incoming file transfer has been offered
void(* | ft_opened )(struct mwFileTransfer *ft)
| a file transfer has been fully initiated
void(* | ft_recv )(struct mwFileTransfer *ft, struct mwOpaque *data)
| receive a chunk of a file from an inbound file transfer.

## Field Documentation

## clear

void(* mwFileTransferHandler::clear) (struct mwServiceFileTransfer *srvc)

optional.

called from mwService_free

## ft_ack

void(* mwFileTransferHandler::ft_ack) (struct mwFileTransfer *ft)

received an ack for a sent chunk on an outbound file transfer.

this indicates that a previous call to mwFileTransfer_send has reached the target and that the target has responded.

## ft_closed

void(* mwFileTransferHandler::ft_closed) (struct mwFileTransfer *ft, guint32 code)

a file transfer has been closed.

Check the status of the file transfer to determine if the transfer was complete or if it had been interrupted

## ft_offered

void(* mwFileTransferHandler::ft_offered) (struct mwFileTransfer *ft)

an incoming file transfer has been offered

## ft_opened

void(* mwFileTransferHandler::ft_opened) (struct mwFileTransfer *ft)

a file transfer has been fully initiated

## ft_recv

void(* mwFileTransferHandler::ft_recv) (struct mwFileTransfer *ft, struct mwOpaque *data)

receive a chunk of a file from an inbound file transfer.

The documentation for this struct was generated from the following file:

- mw_srvc_ft.h